<div class = "menu" id="menu-id">
  <nav class="menu-nav">    
      <div class="ml-3 flex-con">
        <button mat-flat-button [routerLink]="['/home']" routerLinkActive="router-link-active" class="logo-button">
            <img src="https://devoxblob.blob.core.windows.net/timex/logo.png" class="logo">
        </button>
        <a [routerLink]="['/home']" routerLinkActive="router-link-active" 
            class="menu-link">Home</a>
        <a [routerLink]="['/tracker']" routerLinkActive="router-link-active" 
            class="menu-link" *ngIf="auth.isAuthenticated()">Tracker</a>
        <a [routerLink]="['/userinfo']" routerLinkActive="router-link-active"
            class="menu-link" *ngIf="auth.isAuthenticated()">UserInfo</a>
        <a [routerLink]="['/profile']" routerLinkActive="router-link-active"
            class="menu-link" *ngIf="auth.isAuthenticated()">Profile</a>
      </div>
      <div class="mr-5">          
        <a mat-raised-button *ngIf="!auth.isAuthenticated()" (click)="auth.login()" 
            routerLinkActive="router-link-active">Log In
        </a>
        <ng-container  *ngIf="auth.isAuthenticated()">
            <mat-menu #menu="matMenu">
                <button mat-button (click)="auth.logout()" 
                routerLinkActive="router-link-active">
                Log out
                <mat-icon>exit_to_app</mat-icon>
            </button>
              </mat-menu>

            <button mat-raised-button *ngIf="profile$ | async" [matMenuTriggerFor]="menu" class="user-menu-button">
                <h3 class="m-2 user-name" >{{profile$.value?.name}}</h3>
                <img  src="{{profile$.value?.picture}}" class="user-picture nav-icon">
            </button>
                              
          </ng-container>             
      </div>
  </nav>
</div>
